Package be.fgov.ehealth.standards.kmehr.schema.v1

# Class RenewalType

java.lang.Object
be.fgov.ehealth.standards.kmehr.schema.v1.RenewalType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:10+02:00", comments="JAXB RI v4.0.5") public class RenewalType extends Object implements Serializable

Java class for renewalType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="renewalType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <sequence>
               <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
               <element name="duration" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}durationType" minOccurs="0"/>
             </sequence>
             <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RenewalType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getDecimal()`
  number of possible renewals of that product.
  `DurationType`
  `getDuration()`
  eearliest renewal between first delivery and each renewal.
  `TextType`
  `getText()`
  Gets the value of the text property.
  `void`
  `setDecimal(BigDecimal value)`
  Sets the value of the decimal property.
  `void`
  `setDuration(DurationType value)`
  Sets the value of the duration property.
  `void`
  `setText(TextType value)`
  Sets the value of the text property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RenewalType

    public RenewalType()

- ## Method Details

  - ### getText

    public TextType getText()
    Gets the value of the text property.
    Returns:
      possible object is `TextType`

  - ### setText

    public void setText(TextType value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `TextType`

  - ### getDecimal

    public BigDecimal getDecimal()
    number of possible renewals of that product. Default 0.
    Returns:
      possible object is `BigDecimal`

  - ### setDecimal

    public void setDecimal(BigDecimal value)
    Sets the value of the decimal property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getDecimal()`

  - ### getDuration

    public DurationType getDuration()
    eearliest renewal between first delivery and each renewal.
    Returns:
      possible object is `DurationType`

  - ### setDuration

    public void setDuration(DurationType value)
    Sets the value of the duration property.
    Parameters:
      `value` - allowed object is `DurationType`
    See Also:
      - `getDuration()`